
Redmine - Feature #30776

Drag and drop file upload to file type custom field

2019-02-08 10:50 - VD DV

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

Drag and drop file to "file custom field" is not behaving as expected. File is attached as regular file insted to Custom field.

Demonstration is attached at "file_dragNdrop.gif".

Associated revisions

Revision 20712 - 2021-01-13 07:30 - Go MAEDA

Drag and drop file upload to file type custom field (#30776).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-03-04 00:31 - Go MAEDA

- Category changed from UI to Custom fields

- Status changed from New to Confirmed

#2 - 2019-08-08 11:56 - VD DV

Is this defect planned to be fixed soon?

#3 - 2020-09-28 06:36 - Mizuki ISHIKAWA

- File appearance-of-patch-applied.gif added

- File fix-30776.diff added

I have attached a patch to fix this issue.

#4 - 2020-11-15 03:25 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2020-11-25 13:55 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#6 - 2020-11-28 01:36 - Go MAEDA

- Tracker changed from Defect to Feature

- Subject changed from Drag and drop file to "file custom field" is not behaving as expected to Drag and drop file upload to file type custom field

- Status changed from Confirmed to New

#7 - 2020-11-28 01:58 - Go MAEDA

Mizuki ISHIKAWA wrote:

I have attached a patch to fix this issue.

 Thank you for posting the patch but I found a strange behavior when trying to upload files.
An error message :error_attachments_too_many is displayed when you attempt to drop two or more files. It is OK. However, you will see a dialog box

with the message (n - 1) times. For example, if you drop 10 files to a file type custom field, you have to click the "OK" button 9 times to close dialog

boxes.

#8 - 2020-12-28 09:00 - Mizuki ISHIKAWA

Go MAEDA wrote:

Mizuki ISHIKAWA wrote:

I have attached a patch to fix this issue.

 Thank you for posting the patch but I found a strange behavior when trying to upload files.

An error message :error_attachments_too_many is displayed when you attempt to drop two or more files. It is OK. However, you will see a

dialog box with the message (n - 1) times. For example, if you drop 10 files to a file type custom field, you have to click the "OK" button 9 times to

close dialog boxes.

 This is a problem that occurs not only with custom fields, but also with regular file attachments.(If you attach 20 files at the same time, you need to

delete the alert 10 times.)

Probably another issue related to #18555.

#9 - 2021-01-12 05:39 - Mizuki ISHIKAWA

Go MAEDA wrote:

Mizuki ISHIKAWA wrote:

I have attached a patch to fix this issue.

 Thank you for posting the patch but I found a strange behavior when trying to upload files.

An error message :error_attachments_too_many is displayed when you attempt to drop two or more files. It is OK. However, you will see a

dialog box with the message (n - 1) times. For example, if you drop 10 files to a file type custom field, you have to click the "OK" button 9 times to

close dialog boxes.

 I have attached a patch for this issue. https://www.redmine.org/issues/18555#note-10

#10 - 2021-01-13 07:15 - Go MAEDA

Go MAEDA wrote:

Mizuki ISHIKAWA wrote:

I have attached a patch to fix this issue.

 Thank you for posting the patch but I found a strange behavior when trying to upload files.

An error message :error_attachments_too_many is displayed when you attempt to drop two or more files. It is OK. However, you will see a

dialog box with the message (n - 1) times. For example, if you drop 10 files to a file type custom field, you have to click the "OK" button 9 times to

close dialog boxes.

 Fixed in r20711.

#11 - 2021-01-13 07:31 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
